On/off switch for readouts
03/22/2016 06:34 PM - John Diamond
Assignee: John Diamond % Done: 100%
Category: DAQ Estimated time: 8.00 hours
Target version: Spent time: 5.50 hours
Description

We should be able to enable & disable the raw and BBB readouts from ACNET or the CLI

when the FFT intensity method is enabled.

. Also, FFT readouts should only occur

History

#1 - 03/22/2016 09:00 PM - John Diamond
- % Done changed from 0 to 60

Implemented the following CLI commands for controlling the raw & bbb readouts for a given intensity device:

e vmeintRawReadoutEnable( devid )
¢ vmeintRawReadoutDisable( devid )
e vmeintBBBReadoutEnable( devid )
¢ vmeintBBBReadoutDisable( devid )

#2 - 03/22/2016 09:59 PM - John Diamond
- Status changed from New to Assigned

- % Done changed from 60 to 80

Implemented status and control accessors in ADCACNET for the raw data devices.
Added status and control blocks to R:703RAW and verified that they behave as expected.

The same needs to be done for BBB readout...

#3 - 03/23/2016 11:00 AM - John Diamond
- % Done changed from 80 to 90

Created control and status blocks on the following raw data devices:

P:L10TOR

P:R50TOR
P:MO1EPR
P:MX1FPR
P:MX0EPR

#4 - 03/23/2016 07:33 PM - John Diamond
- Status changed from Assigned to Closed

- % Done changed from 90 to 100

Created status and control properties on Z:T990BB and tested the BBB readout switch.
